package domain

type TaobaoFenxiaoOrdersGetErpLogisticsInfo struct {
	/*
	   发货类型 CN=菜鸟发货,SC的商家仓发货     */
	ConsignType *string `json:"consign_type,omitempty" `

	/*
	   商品数字编号     */
	NumIid *int64 `json:"num_iid,omitempty" `

	/*
	   商品的最小库存单位Sku的id     */
	SkuId *string `json:"sku_id,omitempty" `

	/*
	   子订单类型:标示该子交易单来源交易，还是BMS增加的，枚举值(00=交易，10=BMS绑定)     */
	Type *string `json:"type,omitempty" `

	/*
	   如是菜鸟仓，则将菜鸟仓的区域仓code进行填充，如是商家仓发货则填充SC     */
	StoreCode *string `json:"store_code,omitempty" `

	/*
	   应发数量     */
	NeedConsignNum *int64 `json:"need_consign_num,omitempty" `

	/*
	   货品仓储code     */
	ItemCode *string `json:"item_code,omitempty" `

	/*
	   货品仓储id     */
	ItemId *string `json:"item_id,omitempty" `

	/*
	   采购单子单号     */
	SubOrderId *int64 `json:"sub_order_id,omitempty" `

	/*
	   采购单号     */
	OrderId *int64 `json:"order_id,omitempty" `

	/*
	   组合商品ID     */
	CombineItemId *string `json:"combine_item_id,omitempty" `

	/*
	   组合商品Code     */
	CombineItemCode *string `json:"combine_item_code,omitempty" `

	/*
	   组合货品比例     */
	ItemRatio *int64 `json:"item_ratio,omitempty" `

	/*
	   货品条码     */
	BarCode *string `json:"bar_code,omitempty" `

	/*
	   推荐配送公司编码     */
	DeliveryCps *string `json:"delivery_cps,omitempty" `

	/*
	   仓商家编码     */
	BizStoreCode *string `json:"biz_store_code,omitempty" `

	/*
	   推荐配送erp编码     */
	BizDeliveryCode *string `json:"biz_delivery_code,omitempty" `

	/*
	   仓配建议类型     */
	BizSdType *string `json:"biz_sd_type,omitempty" `

	/*
	   预计发货地址-最小行政地址编码     */
	SendDivisionCode *string `json:"send_division_code,omitempty" `

	/*
	   预计发货地址-文案描述-国家     */
	SendCountry *string `json:"send_country,omitempty" `

	/*
	   预计发货地址-文案描述-省份     */
	SendState *string `json:"send_state,omitempty" `

	/*
	   预计发货地址-文案描述-城市     */
	SendCity *string `json:"send_city,omitempty" `

	/*
	   预计发货地址-文案描述-地区     */
	SendDistrict *string `json:"send_district,omitempty" `

	/*
	   预计发货地址-文案描述-街道/镇     */
	SendTown *string `json:"send_town,omitempty" `

	/*
	   CP黑名单，逗号分隔     */
	BlackDeliveryCps *string `json:"black_delivery_cps,omitempty" `

	/*
	   CP白名单，逗号分隔     */
	WhiteDeliveryCps *string `json:"white_delivery_cps,omitempty" `
}

func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetConsignType(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.ConsignType = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetNumIid(v int64) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.NumIid = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSkuId(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SkuId = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetType(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.Type = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetStoreCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.StoreCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetNeedConsignNum(v int64) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.NeedConsignNum = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetItemCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.ItemCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetItemId(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.ItemId = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSubOrderId(v int64) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SubOrderId = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetOrderId(v int64) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.OrderId = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetCombineItemId(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.CombineItemId = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetCombineItemCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.CombineItemCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetItemRatio(v int64) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.ItemRatio = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetBarCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.BarCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetDeliveryCps(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.DeliveryCps = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetBizStoreCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.BizStoreCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetBizDeliveryCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.BizDeliveryCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetBizSdType(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.BizSdType = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSendDivisionCode(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SendDivisionCode = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSendCountry(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SendCountry = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSendState(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SendState = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSendCity(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SendCity = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSendDistrict(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SendDistrict = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetSendTown(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.SendTown = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetBlackDeliveryCps(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.BlackDeliveryCps = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetErpLogisticsInfo) SetWhiteDeliveryCps(v string) *TaobaoFenxiaoOrdersGetErpLogisticsInfo {
	s.WhiteDeliveryCps = &v
	return s
}
